<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>io.quarkus</groupId>
    <artifactId>quarkus-integration-tests-parent</artifactId>
    <version>1.3.2.Final-redhat-00001</version>
  </parent>
  <artifactId>quarkus-integration-test-container-image</artifactId>
  <name>Quarkus - Integration Tests - Container Image</name>
  <version>1.3.2.Final-redhat-00001</version>
  <properties>
    <skipTests>true</skipTests>
    <ProductVersionOverride>1.3.2.Final</ProductVersionOverride>
  </properties>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>com.google.j2objc</groupId>
        <artifactId>j2objc-annotations</artifactId>
        <version>1.3</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <dependencies>
    <dependency>
      <groupId>io.quarkus</groupId>
      <artifactId>quarkus-core-deployment</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>io.quarkus</groupId>
      <artifactId>quarkus-test-maven</artifactId>
      <scope>test</scope>
      <version>1.3.2.Final</version>
    </dependency>
  </dependencies>
  <build>
    <testResources>
      <testResource>
        <directory>src/it</directory>
        <filtering>true</filtering>
      </testResource>
    </testResources>
    <plugins>
      <plugin>
        <artifactId>maven-invoker-plugin</artifactId>
        <version>3.1.0</version>
        <executions>
          <execution>
            <id>integration-tests</id>
            <goals>
              <goal>install</goal>
              <goal>run</goal>
              <goal>verify</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <cloneProjectsTo>${project.build.directory}/it</cloneProjectsTo>
          <cloneClean>true</cloneClean>
          <postBuildHookScript>verify</postBuildHookScript>
          <addTestClassPath>true</addTestClassPath>
          <skipInvocation>${skipTests}</skipInvocation>
          <streamLogs>true</streamLogs>
          <invokerPropertiesFile>invoker.properties</invokerPropertiesFile>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-failsafe-plugin</artifactId>
        <executions>
          <execution>
            <goals>
              <goal>integration-test</goal>
              <goal>verify</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

  <profiles>
    <profile>
      <id>container-image-docker</id>
      <activation>
        <property>
          <name>docker</name>
        </property>
        <os>
          <family>linux</family>
        </os>
      </activation>
      <properties>
        <skipTests>false</skipTests>
      </properties>
    </profile>
  </profiles>
</project>
